Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# f_oneway

scipy.stats.mstats.f_oneway(*args)

  Performs a 1-way ANOVA, returning an F-value and probability given any number of groups. From Heiman, pp.394-7.

  Usage: `f_oneway(*args)`, where `*args` is 2 or more arrays, one per treatment group.

  Returns:
    statistic float

      The computed F-value of the test.

    pvalue float

      The associated p-value from the F-distribution.